Subject: Re: What's cooking in git.git (Mar 2021, #08; Tue, 30)

From: Junio C Hamano <[email-masked]>
Date: Wed, 31 Mar 2021 13:18:54 -0700

Elijah Newren <[email-masked]> writes:

> Hi,
>
> On Tue, Mar 30, 2021 at 5:17 PM Junio C Hamano <[email-masked]> wrote:
>> [New Topics]
>> ...
>> * en/ort-perf-batch-11 (2021-03-25) 7 commits
>>  - merge-ort, diffcore-rename: employ cached renames when possible
>>  - merge-ort: add helper functions for using cached renames
>>  - merge-ort: preserve cached renames for the appropriate side
>>  - merge-ort: avoid accidental API mis-use
>>  - merge-ort: add code to check for whether cached renames can be reused
>>  - merge-ort: populate caches of rename detection results
>>  - merge-ort: add data structures for in-memory caching of rename detection
>>  (this branch uses en/ort-perf-batch-10, en/ort-perf-batch-9 and en/ort-readiness.)
>
> I was actually slightly surprised you picked this one up this early
> given the other three in-flight.

As I always say, don't read too much into being in 'seen'.  I can
try queuing them only to see how bad a conflict I should anticipate
when the time comes and forget to remove it by mistake.

>> [Cooking]
> ...
>> * en/ort-perf-batch-10 (2021-03-18) 8 commits
>>  - diffcore-rename: determine which relevant_sources are no longer relevant
>>  - merge-ort: record the reason that we want a rename for a file
>>  - diffcore-rename: add computation of number of unknown renames
>>  - diffcore-rename: check if we have enough renames for directories early on
>>  - diffcore-rename: only compute dir_rename_count for relevant directories
>>  - merge-ort: record the reason that we want a rename for a directory
>>  - merge-ort, diffcore-rename: tweak dirs_removed and relevant_source type
>>  - diffcore-rename: take advantage of "majority rules" to skip more renames
>>  (this branch is used by en/ort-perf-batch-11 and en/ort-readiness; uses en/ort-perf-batch-9.)
>>
>>  I made a mistake of picking these up before they got sufficient
>>  exposure to the reviewers and ended up a source of potential mess
>>  when it turns out that any of the earlier ones need rewriting (I
>
> Um...are you by chance conflating my comments linked above on
> ort-perf-batch-11, the very latest series, with this series?

No, I did mean the comment on this topic, and the readiness one that
depends on it.  While -9 is not yet in 'next', having three
interdependent topics on top of it is just asking for reviewer
fatigue, and that picking up this topic was the beginning of the
issue.  I should probably have waited for one more cycle and spent
my time more on making sure -9 was in good shape and merge it down
to 'next' before touching them.